﻿@model IEnumerable<BeerOverflow.Web.Models.BeerViewModel>
@using Microsoft.AspNetCore.Identity
@using BeerOverflow.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

@{
    ViewData["Title"] = "Beers";
}

@if (User.IsInRole("Admin"))
{
    <p>
        <a asp-action="Create">Create New</a>
    </p>}

<div class="container p-0">
    <div class="row">
        <div class="col-lg-3 order-2 order-lg-1">
            <h5 class="text-uppercase mb-4">Categories</h5>
            <div class="py-2 px-4 bg-light mb-3">
                <strong class="small text-uppercase font-weight-bold">Styles</strong>
            </div>
            @*<select size="6" class="form-control" asp-items="ViewBag.StyleID"></select>*@
            <ul class="list-unstyled small text-muted pl-lg-4 font-weight-normal">
                @foreach (var item in ViewBag.Styles)
                {
                    <li class="mb-2"><a class="reset-anchor" asp-action="Index" asp-controller="Beers" asp-route-filterBy="style" asp-route-filter=@item>@item</a></li>
                }
            </ul>
            <div class="py-2 px-4 bg-light mb-3">
                <strong class="small text-uppercase font-weight-bold">Countries</strong>
            </div>
            <ul class="list-unstyled small text-muted pl-lg-4 font-weight-normal">
                @foreach (var item in ViewBag.Countries)
                {
                    <li class="mb-2"><a class="reset-anchor" asp-action="Index" asp-controller="Beers" asp-route-filterBy="country" asp-route-filter=@item>@item</a></li>
                }
            </ul>
            <div class="py-2 px-4 bg-light mb-3">
                <strong class="small text-uppercase font-weight-bold">Breweries</strong>
            </div>
            <ul class="list-unstyled small text-muted pl-lg-4 font-weight-normal mb-5">
                @foreach (var item in ViewBag.Breweries)
                {
                    <li class="mb-2"><a class="reset-anchor" asp-action="Index" asp-controller="Beers" asp-route-filterBy="brewery" asp-route-filter=@item>@item</a></li>
                }
            </ul>
        </div>
        <div class="col-lg-9 order-1 order-lg-2 mb-5 mb-lg-0">
            <div class="row mb-3 align-items-center">
                <div class="col-lg-6 mb-2 mb-lg-0">
                    <p class="text-small text-muted mb-0">Showing @Model.Count() results</p>
                </div>
                <div class="col-lg-6">
                    <ul class="list-inline d-flex align-items-center justify-content-lg-end mb-0">
                        <li class="list-inline-item">
                            <input type="text" name="Search" onkeypress='handle(event, this.value)' />
                            <script>
                                function handle(e, sort) {
                                    if (e.keyCode === 13) {
                                        e.preventDefault();

                                        window.location.href = "?search=" + sort;
                                    }
                                }
                            </script>
                        </li>
                        <li class="list-inline-item">
                            <select id="sortSelection" name="sortSelection" class="selectpicker ml-auto" data-width="200" data-style="bs-select-form-control" data-title="Default sorting" onchange='window.location.href="?sortString=" + this.value'>
                                <option value="default">Default</option>
                                <option value="name">Name</option>
                                <option value="country">Country</option>
                                <option value="rating-low">Rating: Low to High</option>
                                <option value="rating-high">Rating: High to Low</option>
                                <option value="abv-low">ABV: Low to High</option>
                                <option value="abv-high">ABV: High to Low</option>
                            </select>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="row">
                @foreach (var item in Model)
                {
                    <div class="col-lg-4 col-sm-6">
                        <div class="product text-center">
                            <div class="mb-3 position-relative">
                                <div class="badge text-white badge-"></div><a class="d-block" href="Beers/Details/@item.Id"><img class="img-fluid w-100" src="@Url.Content($"~/img/beers/beer{item.Id}.jpg")" onerror='this.src="@Url.Content($"~/img/beers/defaultbeer.jpg")"'></a>
                                <div class="product-overlay">
                                    <ul class="mb-0 list-inline">
                                        <li class="list-inline-item m-0 p-0">
                                            <form asp-action="Add" asp-controller="WishList" method="post">
                                                <input type="hidden" name="BeerId" value="@item.Id" />
                                                <button class="btn btn-sm btn-outline-dark" type="submit">
                                                    <i class="far fa-heart"></i>
                                                </button>
                                            </form>
                                        </li>
                                        <li class="list-inline-item m-0 p-0"><a class="btn btn-sm btn-dark" href="Beers/Details/@item.Id">Details</a></li>
                                        <li class="list-inline-item mr-0">
                                            <form asp-action="Add" asp-controller="DrankList" method="post">
                                                <input type="hidden" name="beerId" value="@item.Id" />
                                                <button class="btn btn-sm btn-outline-dark" type="submit">
                                                    <i class="fas fa-beer"></i>
                                                </button>
                                            </form>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <h6> <a class="reset-anchor" href="detail.html">@item.Name</a></h6>
                            <p class="small text-muted">@item.ABV</p>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>